Skip to main content
POST
/
forge-recipes
/
{forgeRecipe}
/
runs
Create Forge recipe run
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://forge.laravel.com/api/forge-recipes/{forgeRecipe}/runs",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'servers' => [
        1,
        2,
        3
    ],
    'email' => true
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
curl --request POST \
--url https://forge.laravel.com/api/forge-recipes/{forgeRecipe}/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"servers": [
1,
2,
3
],
"email": true
}
'
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({servers: [1, 2, 3], email: true})
};

fetch('https://forge.laravel.com/api/forge-recipes/{forgeRecipe}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://forge.laravel.com/api/forge-recipes/{forgeRecipe}/runs"

payload := strings.NewReader("{\n \"servers\": [\n 1,\n 2,\n 3\n ],\n \"email\": true\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>",
"errors": {}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

forgeRecipe
integer
required

The forge recipe ID

Body

application/json
servers
integer[]
required

The servers on which to run the recipe on.

Example:
[1, 2, 3]
email
boolean

Whether to send an email notification when the recipe has completed.

Example:

true

Response

Recipe run accepted